Ending Support for Windows XP and Vista

By Riot Cactopus

NOTE: If you're using an operating system that's newer than Windows XP or Windows Vista, just ignore this post. Otherwise, read on!


Hi folks,

In May 2019 (after patch 9.9), League of Legends is going to stop supporting Windows XP and Windows Vista.

You've probably got questions! We've got answers below:


Why is Riot doing this?

Microsoft itself no longer supports Windows XP or Windows Vista with security updates. It's getting harder every day for us to maintain a secure League of Legends experience for the very small number of League players still using XP, requiring a disproportionate investment from our engineering teams.


How many players will be affected by this change?

Usage of Windows XP has been falling rapidly over the last few years. When we most recently pulled data, we found that under 1 percent of players globally are still using XP. Usage of Vista is even lower. And we think that by the time we end support for the operating systems next year, even fewer will be playing.


When exactly is this going to happen?

Patch 9.9 will be the last patch that supports Windows XP and Vista. It should roll out on April 30, 2019. When Patch 9.10 hits on May 14, official support will be dropped.


How are you making sure that XP and Vista users are aware of the change?

We'll post another reminder about our plans a couple of weeks before we end support. If you're running one of the impacted operating systems, we'll hit you with a pop-up notification in the League client to remind you to upgrade.


If I'm still playing on XP or Vista, how can I make sure I'll still be able to play League?

Basically, you'll need to upgrade to a more modern version of Windows. We plan to maintain support for Windows 7, 8, and 10 for the foreseeable future.


1 month ago